Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 18 Apr 2017 15:15:06 +0000 (UTC)
From:      Alex Kozlov <ak@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r438784 - in head/mail: imap-uw imap-uw/files milter-bogom panda-imap panda-imap/files
Message-ID:  <201704181515.v3IFF6WW054344@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: ak
Date: Tue Apr 18 15:15:06 2017
New Revision: 438784
URL: https://svnweb.freebsd.org/changeset/ports/438784

Log:
  - Remove vestiges of pkg-req support
  
  Differential Revision:	https://reviews.freebsd.org/D5
  Approved by:	bapt

Added:
  head/mail/imap-uw/files/pkg-req.rev
     - copied unchanged from r438783, head/mail/imap-uw/pkg-req.rev
  head/mail/imap-uw/files/pkg-req.ssl
     - copied unchanged from r438783, head/mail/imap-uw/pkg-req.ssl
  head/mail/panda-imap/files/pkg-req.rev
     - copied unchanged from r438783, head/mail/panda-imap/pkg-req.rev
  head/mail/panda-imap/files/pkg-req.ssl
     - copied unchanged from r438783, head/mail/panda-imap/pkg-req.ssl
Deleted:
  head/mail/imap-uw/pkg-req.rev
  head/mail/imap-uw/pkg-req.ssl
  head/mail/milter-bogom/pkg-req
  head/mail/panda-imap/pkg-req.rev
  head/mail/panda-imap/pkg-req.ssl
Modified:
  head/mail/imap-uw/Makefile
  head/mail/panda-imap/Makefile

Modified: head/mail/imap-uw/Makefile
==============================================================================
--- head/mail/imap-uw/Makefile	Tue Apr 18 14:45:00 2017	(r438783)
+++ head/mail/imap-uw/Makefile	Tue Apr 18 15:15:06 2017	(r438784)
@@ -72,11 +72,11 @@ post-patch:
 	@${RM} ${WRKSRC}/docs/imaprc.txt.bak
 
 pre-build:
-	@${SH} ${PKGREQ}.rev ${LOCALBASE}/include/c-client/portrevision.h ${PORTVERSION}
+	@${SH} ${FILESDIR}/pkg-req.rev ${LOCALBASE}/include/c-client/portrevision.h ${PORTVERSION}
 .if ${PORT_OPTIONS:MSSL}
-	@${SH} ${PKGREQ}.ssl ${LOCALBASE}/include/c-client/portrevision.h yes
+	@${SH} ${FILESDIR}/pkg-req.ssl ${LOCALBASE}/include/c-client/portrevision.h yes
 .else
-	@${SH} ${PKGREQ}.ssl ${LOCALBASE}/include/c-client/portrevision.h no
+	@${SH} ${FILESDIR}/pkg-req.ssl ${LOCALBASE}/include/c-client/portrevision.h no
 .endif
 
 do-install:

Copied: head/mail/imap-uw/files/pkg-req.rev (from r438783, head/mail/imap-uw/pkg-req.rev)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/imap-uw/files/pkg-req.rev	Tue Apr 18 15:15:06 2017	(r438784, copy of r438783, head/mail/imap-uw/pkg-req.rev)
@@ -0,0 +1,23 @@
+#! /bin/sh
+# anders@fix.no, 2001-06-19
+
+if [ ! -f "$1" ]
+then
+	echo "Your installation of the cclient port is outdated. Please delete it before"
+	echo "continuing."
+	exit 1
+fi
+
+portver=`grep "^#define CCLIENT_PORTVERSION" $1 | awk '{print $3}' \
+| sed s/\"//g`
+
+if [ "$portver" = "$2" ]
+then
+	echo "Your imap-uw port matches the version of your cclient port. Fine."
+	exit 0
+else
+	echo "Your cclient port (PORTVERSION $portver) does not match the version of imap-uw"
+	echo "(PORTVERSION $2) you are trying to install. Please delete your"
+	echo "installation of the cclient port before continuing."
+	exit 1
+fi

Copied: head/mail/imap-uw/files/pkg-req.ssl (from r438783, head/mail/imap-uw/pkg-req.ssl)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/imap-uw/files/pkg-req.ssl	Tue Apr 18 15:15:06 2017	(r438784, copy of r438783, head/mail/imap-uw/pkg-req.ssl)
@@ -0,0 +1,27 @@
+#! /bin/sh
+# anders@fix.no, 2001-06-19
+
+sslenabled=`grep "^#define CCLIENT_SSLENABLED" $1 | awk '{print $3}' \
+| sed s/\"//g`
+
+case $2 in
+yes)
+	if [ "$sslenabled" = "yes" ]
+	then
+		echo "SSL check passed. We want SSL support, and cclient has it. Good."
+		exit 0
+	else
+		echo "SSL check failed. We want SSL support, but cclient doesn't have it."
+		echo "Please recompile and reinstall the cclient port with WITH_SSL=yes set."
+		exit 1
+	fi
+	;;
+*)
+	if [ "$sslenabled" = "yes" ]
+	then
+		echo "You did not want SSL (by not defining WITH_SSL). Funny thing is, your cclient"
+		echo "port has SSL support installed."
+		exit 0
+	fi
+	;;
+esac

Modified: head/mail/panda-imap/Makefile
==============================================================================
--- head/mail/panda-imap/Makefile	Tue Apr 18 14:45:00 2017	(r438783)
+++ head/mail/panda-imap/Makefile	Tue Apr 18 15:15:06 2017	(r438784)
@@ -69,11 +69,11 @@ post-patch:
 	@${RM} ${WRKSRC}/docs/imaprc.txt.bak
 
 pre-build:
-	@${SH} ${PKGREQ}.rev ${LOCALBASE}/include/c-client/portrevision.h ${PORTVERSION}
+	@${SH} ${FILESDIR}/pkg-req.rev ${LOCALBASE}/include/c-client/portrevision.h ${PORTVERSION}
 .if ${PORT_OPTIONS:MSSL}
-	@${SH} ${PKGREQ}.ssl ${LOCALBASE}/include/c-client/portrevision.h yes
+	@${SH} ${FILESDIR}/pkg-req.ssl ${LOCALBASE}/include/c-client/portrevision.h yes
 .else
-	@${SH} ${PKGREQ}.ssl ${LOCALBASE}/include/c-client/portrevision.h no
+	@${SH} ${FILESDIR}/pkg-req.ssl ${LOCALBASE}/include/c-client/portrevision.h no
 .endif
 
 do-install:

Copied: head/mail/panda-imap/files/pkg-req.rev (from r438783, head/mail/panda-imap/pkg-req.rev)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/panda-imap/files/pkg-req.rev	Tue Apr 18 15:15:06 2017	(r438784, copy of r438783, head/mail/panda-imap/pkg-req.rev)
@@ -0,0 +1,23 @@
+#! /bin/sh
+# anders@fix.no, 2001-06-19
+
+if [ ! -f "$1" ]
+then
+	echo "Your installation of the cclient port is outdated. Please delete it before"
+	echo "continuing."
+	exit 1
+fi
+
+portver=`grep "^#define CCLIENT_PORTVERSION" $1 | awk '{print $3}' \
+| sed s/\"//g`
+
+if [ "$portver" = "$2" ]
+then
+	echo "Your imap-uw port matches the version of your cclient port. Fine."
+	exit 0
+else
+	echo "Your cclient port (PORTVERSION $portver) does not match the version of imap-uw"
+	echo "(PORTVERSION $2) you are trying to install. Please delete your"
+	echo "installation of the cclient port before continuing."
+	exit 1
+fi

Copied: head/mail/panda-imap/files/pkg-req.ssl (from r438783, head/mail/panda-imap/pkg-req.ssl)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/panda-imap/files/pkg-req.ssl	Tue Apr 18 15:15:06 2017	(r438784, copy of r438783, head/mail/panda-imap/pkg-req.ssl)
@@ -0,0 +1,27 @@
+#! /bin/sh
+# anders@fix.no, 2001-06-19
+
+sslenabled=`grep "^#define CCLIENT_SSLENABLED" $1 | awk '{print $3}' \
+| sed s/\"//g`
+
+case $2 in
+yes)
+	if [ "$sslenabled" = "yes" ]
+	then
+		echo "SSL check passed. We want SSL support, and cclient has it. Good."
+		exit 0
+	else
+		echo "SSL check failed. We want SSL support, but cclient doesn't have it."
+		echo "Please recompile and reinstall the cclient port with WITH_SSL=yes set."
+		exit 1
+	fi
+	;;
+*)
+	if [ "$sslenabled" = "yes" ]
+	then
+		echo "You did not want SSL (by not defining WITH_SSL). Funny thing is, your cclient"
+		echo "port has SSL support installed."
+		exit 0
+	fi
+	;;
+esac



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201704181515.v3IFF6WW054344>